| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Insert sparse vector components
Vector Conversions » Insert vector

## Insert 640b sparse integer vector components
v256int4_sparse | insert (v256int4_sparse m, int idx, v64int4 v)
v256uint4_sparse | insert (v256uint4_sparse m, int idx, v64uint4 v)
v128int8_sparse | insert (v128int8_sparse m, int idx, v32int8 v)
v128uint8_sparse | insert (v128uint8_sparse m, int idx, v32uint8 v)
v64int16_sparse | insert (v64int16_sparse m, int idx, v16int16 v)
v64uint16_sparse | insert (v64uint16_sparse m, int idx, v16uint16 v)
v64bfloat16_sparse | insert (v64bfloat16_sparse m, int idx, v16bfloat16 v)
v64float16_sparse | insert (v64float16_sparse m, int idx, v16float16 v)
v128bfloat8_sparse | insert (v128bfloat8_sparse m, int idx, v32bfloat8 v)
v128float8_sparse | insert (v128float8_sparse m, int idx, v32float8 v)

## Insert 1280b sparse integer vector components
v512int4_sparse | insert (v512int4_sparse m, int idx, v256int4_sparse v)
v512uint4_sparse | insert (v512uint4_sparse m, int idx, v256uint4_sparse v)
v256int8_sparse | insert (v256int8_sparse m, int idx, v128int8_sparse v)
v256uint8_sparse | insert (v256uint8_sparse m, int idx, v128uint8_sparse v)
v128int16_sparse | insert (v128int16_sparse m, int idx, v64int16_sparse v)
v128uint16_sparse | insert (v128uint16_sparse m, int idx, v64uint16_sparse v)
v128bfloat16_sparse | insert (v128bfloat16_sparse m, int idx, v64bfloat16_sparse v)
v128float16_sparse | insert (v128float16_sparse m, int idx, v64float16_sparse v)
v256bfloat8_sparse | insert (v256bfloat8_sparse m, int idx, v128bfloat8_sparse v)
v256float8_sparse | insert (v256float8_sparse m, int idx, v128float8_sparse v)
v512int4_sparse | insert (v512int4_sparse m, int idx, v128int4 v)
v512uint4_sparse | insert (v512uint4_sparse m, int idx, v128uint4 v)
v256int8_sparse | insert (v256int8_sparse m, int idx, v64int8 v)
v256uint8_sparse | insert (v256uint8_sparse m, int idx, v64uint8 v)
v128int16_sparse | insert (v128int16_sparse m, int idx, v32int16 v)
v128uint16_sparse | insert (v128uint16_sparse m, int idx, v32uint16 v)
v128bfloat16_sparse | insert (v128bfloat16_sparse m, int idx, v32bfloat16 v)
v128float16_sparse | insert (v128float16_sparse m, int idx, v32float16 v)
v256bfloat8_sparse | insert (v256bfloat8_sparse m, int idx, v64bfloat8 v)
v256float8_sparse | insert (v256float8_sparse m, int idx, v64float8 v)
v512int4_sparse | insert (v512int4_sparse m, int idx, sparsity_t v)
v512uint4_sparse | insert (v512uint4_sparse m, int idx, sparsity_t v)
v256int8_sparse | insert (v256int8_sparse m, int idx, sparsity_t v)
v256uint8_sparse | insert (v256uint8_sparse m, int idx, sparsity_t v)
v128int16_sparse | insert (v128int16_sparse m, int idx, sparsity_t v)
v128uint16_sparse | insert (v128uint16_sparse m, int idx, sparsity_t v)
v128bfloat16_sparse | insert (v128bfloat16_sparse m, int idx, sparsity_t v)
v128float16_sparse | insert (v128float16_sparse m, int idx, sparsity_t v)
v256bfloat8_sparse | insert (v256bfloat8_sparse m, int idx, sparsity_t v)
v256float8_sparse | insert (v256float8_sparse m, int idx, sparsity_t v)

## Concat 1280b sparse integer vector components
v512int4_sparse | concat (v256int4_sparse v0, v256int4_sparse v1)
v512uint4_sparse | concat (v256uint4_sparse v0, v256uint4_sparse v1)
v256int8_sparse | concat (v128int8_sparse v0, v128int8_sparse v1)
v256uint8_sparse | concat (v128uint8_sparse v0, v128uint8_sparse v1)
v128int16_sparse | concat (v64int16_sparse v0, v64int16_sparse v1)
v128uint16_sparse | concat (v64uint16_sparse v0, v64uint16_sparse v1)
v128bfloat16_sparse | concat (v64bfloat16_sparse v0, v64bfloat16_sparse v1)
v128float16_sparse | concat (v64float16_sparse v0, v64float16_sparse v1)
v256bfloat8_sparse | concat (v128bfloat8_sparse v0, v128bfloat8_sparse v1)
v256float8_sparse | concat (v128float8_sparse v0, v128float8_sparse v1)
v128mx9 | concat (v64mx9 v0, v64mx9 v1)

## Concat bfp vectors
v256mx6 | concat (v128mx6 v0, v128mx6 v1)
v256mx4 | concat (v128mx4 v0, v128mx4 v1)
v128mx6 | concat (v64mx6 v0, v64mx6 v1)
v128mx4 | concat (v64mx4 v0, v64mx4 v1)

## Detailed Description

## Function Documentation

## ◆ concat() [1/15]

v256bfloat8_sparse concat | ( | v128bfloat8_sparse | v0,
|  | v128bfloat8_sparse | v1 )

## ◆ concat() [2/15]

v256float8_sparse concat | ( | v128float8_sparse | v0,
|  | v128float8_sparse | v1 )

## ◆ concat() [3/15]

v256int8_sparse concat | ( | v128int8_sparse | v0,
|  | v128int8_sparse | v1 )

## ◆ concat() [4/15]

v256mx4 concat | ( | v128mx4 | v0,
|  | v128mx4 | v1 )

## ◆ concat() [5/15]

v256mx6 concat | ( | v128mx6 | v0,
|  | v128mx6 | v1 )

## ◆ concat() [6/15]

v256uint8_sparse concat | ( | v128uint8_sparse | v0,
|  | v128uint8_sparse | v1 )

## ◆ concat() [7/15]

v512int4_sparse concat | ( | v256int4_sparse | v0,
|  | v256int4_sparse | v1 )

## ◆ concat() [8/15]

v512uint4_sparse concat | ( | v256uint4_sparse | v0,
|  | v256uint4_sparse | v1 )

## ◆ concat() [9/15]

v128bfloat16_sparse concat | ( | v64bfloat16_sparse | v0,
|  | v64bfloat16_sparse | v1 )

## ◆ concat() [10/15]

v128float16_sparse concat | ( | v64float16_sparse | v0,
|  | v64float16_sparse | v1 )

## ◆ concat() [11/15]

v128int16_sparse concat | ( | v64int16_sparse | v0,
|  | v64int16_sparse | v1 )

## ◆ concat() [12/15]

v128mx4 concat | ( | v64mx4 | v0,
|  | v64mx4 | v1 )

## ◆ concat() [13/15]

v128mx6 concat | ( | v64mx6 | v0,
|  | v64mx6 | v1 )

## ◆ concat() [14/15]

v128mx9 concat | ( | v64mx9 | v0,
|  | v64mx9 | v1 )

## ◆ concat() [15/15]

v128uint16_sparse concat | ( | v64uint16_sparse | v0,
|  | v64uint16_sparse | v1 )

## ◆ insert() [1/40]

v128bfloat16_sparse insert | ( | v128bfloat16_sparse | m,
|  | int | idx,
|  | sparsity_t | v )

## ◆ insert() [2/40]

v128bfloat16_sparse insert | ( | v128bfloat16_sparse | m,
|  | int | idx,
|  | v32bfloat16 | v )

## ◆ insert() [3/40]

v128bfloat16_sparse insert | ( | v128bfloat16_sparse | m,
|  | int | idx,
|  | v64bfloat16_sparse | v )

## ◆ insert() [4/40]

v128bfloat8_sparse insert | ( | v128bfloat8_sparse | m,
|  | int | idx,
|  | v32bfloat8 | v )

## ◆ insert() [5/40]

v128float16_sparse insert | ( | v128float16_sparse | m,
|  | int | idx,
|  | sparsity_t | v )

## ◆ insert() [6/40]

v128float16_sparse insert | ( | v128float16_sparse | m,
|  | int | idx,
|  | v32float16 | v )

## ◆ insert() [7/40]

v128float16_sparse insert | ( | v128float16_sparse | m,
|  | int | idx,
|  | v64float16_sparse | v )

## ◆ insert() [8/40]

v128float8_sparse insert | ( | v128float8_sparse | m,
|  | int | idx,
|  | v32float8 | v )

## ◆ insert() [9/40]

v128int16_sparse insert | ( | v128int16_sparse | m,
|  | int | idx,
|  | sparsity_t | v )

## ◆ insert() [10/40]

v128int16_sparse insert | ( | v128int16_sparse | m,
|  | int | idx,
|  | v32int16 | v )

## ◆ insert() [11/40]

v128int16_sparse insert | ( | v128int16_sparse | m,
|  | int | idx,
|  | v64int16_sparse | v )

## ◆ insert() [12/40]

v128int8_sparse insert | ( | v128int8_sparse | m,
|  | int | idx,
|  | v32int8 | v )

## ◆ insert() [13/40]

v128uint16_sparse insert | ( | v128uint16_sparse | m,
|  | int | idx,
|  | sparsity_t | v )

## ◆ insert() [14/40]

v128uint16_sparse insert | ( | v128uint16_sparse | m,
|  | int | idx,
|  | v32uint16 | v )

## ◆ insert() [15/40]

v128uint16_sparse insert | ( | v128uint16_sparse | m,
|  | int | idx,
|  | v64uint16_sparse | v )

## ◆ insert() [16/40]

v128uint8_sparse insert | ( | v128uint8_sparse | m,
|  | int | idx,
|  | v32uint8 | v )

## ◆ insert() [17/40]

v256bfloat8_sparse insert | ( | v256bfloat8_sparse | m,
|  | int | idx,
|  | sparsity_t | v )

## ◆ insert() [18/40]

v256bfloat8_sparse insert | ( | v256bfloat8_sparse | m,
|  | int | idx,
|  | v128bfloat8_sparse | v )

## ◆ insert() [19/40]

v256bfloat8_sparse insert | ( | v256bfloat8_sparse | m,
|  | int | idx,
|  | v64bfloat8 | v )

## ◆ insert() [20/40]

v256float8_sparse insert | ( | v256float8_sparse | m,
|  | int | idx,
|  | sparsity_t | v )

## ◆ insert() [21/40]

v256float8_sparse insert | ( | v256float8_sparse | m,
|  | int | idx,
|  | v128float8_sparse | v )

## ◆ insert() [22/40]

v256float8_sparse insert | ( | v256float8_sparse | m,
|  | int | idx,
|  | v64float8 | v )

## ◆ insert() [23/40]

v256int4_sparse insert | ( | v256int4_sparse | m,
|  | int | idx,
|  | v64int4 | v )

## ◆ insert() [24/40]

v256int8_sparse insert | ( | v256int8_sparse | m,
|  | int | idx,
|  | sparsity_t | v )

## ◆ insert() [25/40]

v256int8_sparse insert | ( | v256int8_sparse | m,
|  | int | idx,
|  | v128int8_sparse | v )

## ◆ insert() [26/40]

v256int8_sparse insert | ( | v256int8_sparse | m,
|  | int | idx,
|  | v64int8 | v )

## ◆ insert() [27/40]

v256uint4_sparse insert | ( | v256uint4_sparse | m,
|  | int | idx,
|  | v64uint4 | v )

## ◆ insert() [28/40]

v256uint8_sparse insert | ( | v256uint8_sparse | m,
|  | int | idx,
|  | sparsity_t | v )

## ◆ insert() [29/40]

v256uint8_sparse insert | ( | v256uint8_sparse | m,
|  | int | idx,
|  | v128uint8_sparse | v )

## ◆ insert() [30/40]

v256uint8_sparse insert | ( | v256uint8_sparse | m,
|  | int | idx,
|  | v64uint8 | v )

## ◆ insert() [31/40]

v512int4_sparse insert | ( | v512int4_sparse | m,
|  | int | idx,
|  | sparsity_t | v )

## ◆ insert() [32/40]

v512int4_sparse insert | ( | v512int4_sparse | m,
|  | int | idx,
|  | v128int4 | v )

## ◆ insert() [33/40]

v512int4_sparse insert | ( | v512int4_sparse | m,
|  | int | idx,
|  | v256int4_sparse | v )

## ◆ insert() [34/40]

v512uint4_sparse insert | ( | v512uint4_sparse | m,
|  | int | idx,
|  | sparsity_t | v )

## ◆ insert() [35/40]

v512uint4_sparse insert | ( | v512uint4_sparse | m,
|  | int | idx,
|  | v128uint4 | v )

## ◆ insert() [36/40]

v512uint4_sparse insert | ( | v512uint4_sparse | m,
|  | int | idx,
|  | v256uint4_sparse | v )

## ◆ insert() [37/40]

v64bfloat16_sparse insert | ( | v64bfloat16_sparse | m,
|  | int | idx,
|  | v16bfloat16 | v )

## ◆ insert() [38/40]

v64float16_sparse insert | ( | v64float16_sparse | m,
|  | int | idx,
|  | v16float16 | v )

## ◆ insert() [39/40]

v64int16_sparse insert | ( | v64int16_sparse | m,
|  | int | idx,
|  | v16int16 | v )

## ◆ insert() [40/40]

v64uint16_sparse insert | ( | v64uint16_sparse | m,
|  | int | idx,
|  | v16uint16 | v )